{: test that succ type error causes a compilation error }

program e1031( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

var
   e : colour;
   n : integer;

begin { e1031 }

   e := black;
   n := 2;
   e := succ( e, 2 );     { OK }
   e := succ( e, brown ); { !!! arg2 must be integer }
   writeln( 'succ error not detected' );
end. { e1031 }

